Subject: Re: more on optional software (long!)

From: Charles Ewen MacMillan <[email-masked]>

On Sun, 4 Sep 1994, Hubert Feyrer wrote:

> Date: Sun, 4 Sep 94 23:45:25 +0200
> From: Hubert Feyrer <[email-masked]>
> To: [email-masked]
> Cc: [email-masked], [email-masked],
>     [email-masked], [email-masked], [email-masked],
>     [email-masked], [email-masked],
>     [email-masked], [email-masked],
>     [email-masked], [email-masked]
> Subject: more on optional software (long!)
> 
> This is mainly an intro to the EasyInstall-scripts.
> 
> directories below /opt. The directories used are exactly the same as the
> ones used inside the packages. Doing this has two advantages:
> 
> - easy installation of packages
> - users have to include only one directory into their $PATH (/opt/bin),
>   $MANPATH (/opt/man), ...

 Whereas, I can agree whole-heartedly that optional and locally installed 
softwares, as well as those under development do well to have a seperate 
tree for ease of de-installation, there is already a well known 
convention for doing so.

        /usr/local
        /usr/local/bin
        /usr/local/lib
        /usr/local/man
        /usr/local/etc

 Most systems that I have seen have such a tree, and all systems I run 
have such a tree.

 Adding yet another bin path, and lib path, slows down executable search 
time, which is considerable in light of the fact that NetBSD already has 
/bin:/usr/bin:/sbin:/usr/sbin and typically /usr/local/bin:$HOME/bin:.
as part of the exec search path.

 For systems which have shared disks (I have 1 /usr tree now for 3 machines)
 this poses the added problem of yet another link, potentially causing 
conflicts with file exports.

> 8.) Final note
> ~~~~~~~~~~~~~~
> 
> Call for discussion!
> 
> What do you think about all of this? Are the two scripts useful, will
> anyone use it? What can be improved? How about the method for detecting the
> appdef-dir? Are there any public directories I've missed?
> 

 I think it is an excellent idea, except that the conventional /usr/local 
division should be used rather than the novel and arbitrary /opt.

Charles Ewen MacMillan  | Tezcat.COM - Wicker Park 
  <[email-masked]>    | Offering Internet Access 
Modem: 312-850-0112/0117| Via Interactive UNIX to 
Voice: 312-850-0181     |    the Chicago Area.
WWW: http://tezcat.com/ | Mail: [email-masked]